al_get_default_shader_source(3)

NAME

al_get_default_shader_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char const *al_get_default_shader_source(ALLEGRO_SHADER_PLATFORM platform,
       ALLEGRO_SHADER_TYPE type)

DESCRIPTION

Returns a string containing the source code to Allegro's default vertex or pixel shader appropriate for the passed platform. The ALLEGRO_SHADER_AUTO value means GLSL is used if OpenGL is being used otherwise HLSL. ALLEGRO_SHADER_AUTO requires that there is a current display set on the calling thread. This function can return NULL if Allegro was built without support for shaders of the selected platform.

SINCE

5.1.6

SEE ALSO

al_attach_shader_source(3)